## peony 4.0.0.2

=== 3rd-parties/SingleApplication/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.1.0)

project(SingleApplication)

set(CMAKE_INCLUDE_CURRENT_DIR ON)
set(CMAKE_AUTOMOC ON)

# SingleApplication base class
set(QAPPLICATION_CLASS QCoreApplication CACHE STRING "Inheritance class for SingleApplication")
set_property(CACHE QAPPLICATION_CLASS PROPERTY STRINGS QApplication QGuiApplication QCoreApplication)

# Libary target
add_library(${PROJECT_NAME} STATIC
    singleapplication.cpp
    singleapplication_p.cpp
    )

# Find dependencies
find_package(Qt5Network)
if(QAPPLICATION_CLASS STREQUAL QApplication)
    find_package(Qt5 COMPONENTS Widgets REQUIRED)
elseif(QAPPLICATION_CLASS STREQUAL QGuiApplication)
    find_package(Qt5 COMPONENTS Gui REQUIRED)
else()
    find_package(Qt5 COMPONENTS Core REQUIRED)
endif()
add_compile_definitions(QAPPLICATION_CLASS=${QAPPLICATION_CLASS})

# Link dependencies
target_link_libraries(${PROJECT_NAME} PRIVATE Qt5::Network)
if(QAPPLICATION_CLASS STREQUAL QApplication)
    target_link_libraries(${PROJECT_NAME} PRIVATE Qt5::Widgets)
elseif(QAPPLICATION_CLASS STREQUAL QGuiApplication)
    target_link_libraries(${PROJECT_NAME} PRIVATE Qt5::Gui)
else()
    target_link_libraries(${PROJECT_NAME} PRIVATE Qt5::Core)
endif()

if(WIN32)
    target_link_libraries(${PROJECT_NAME} PRIVATE advapi32)
endif()

target_include_directories(${PROJECT_NAME} PUBLIC ${CMAKE_CURRENT_SOURCE_DIR})

## peony 1.0.1

=== debian/changelog ===
peony (1.0.1-0ubuntu1) zesty; urgency=medium

  * Add the ability to draw backgrounds.

 -- handsome_feng <jianfengli@ubuntukylin.com>  Tue, 21 Mar 2017 11:40:01 +0800

peony (1.0.0-0ubuntu3) zesty; urgency=medium

  * Initial release. (LP: #1664235)

 -- handsome_feng <jianfengli@ubuntukylin.com>  Mon, 06 Mar 2017 13:49:12 +0800

=== debian/control ===
Source: peony
Section: utils
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Kylin Team <ukui@kylinos.cn>
Uploaders: Xiaodong Liu <liuxiaodong@kylinos.cn>,
           Zuxun Yang <yangzuxun@kylinos.cn>,
Build-Depends: debhelper (>= 9),
               dpkg-dev (>= 1.16.1.1),
               gobject-introspection,
               gtk-doc-tools,
               intltool,
               libdconf-dev,
               libexempi-dev,
               libexif-dev,
               libgail-3-dev,
               libgirepository1.0-dev,
               libglib2.0-dev,
               libgtk-3-dev,
               libmate-desktop-dev (>= 1.17),
               libnotify-dev,
               libpango1.0-dev,
               libselinux1-dev [linux-any],
               libstartup-notification0-dev,
               libx11-dev,
               libxml2-dev,
               mate-common (>= 1.17),
               shared-mime-info,
Standards-Version: 3.9.8
Homepage: http://www.ukui.org/

Package: peony
Architecture: any
Multi-Arch: foreign
Depends: peony-common (= ${source:Version}),
         desktop-file-utils,
         gvfs,
         libpeony-extension1 (= ${binary:Version}),
         libglib2.0-data,
         mate-desktop,
         shared-mime-info,
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: gvfs-backends,
Suggests: engrampa,
          gstreamer1.0-tools,
          meld,
Breaks: peony-common (<< 1.0.0-0ubuntu2~)
Replaces: peony-common (<< 1.0.0-0ubuntu2~)
Description: file manager for the UKUI desktop
 Peony is the official file manager for the UKUI desktop. It allows one
 to browse directories, preview files and launch applications associated
 with them. It is also responsible for handling the icons on the UKUI
 desktop. It works on local and remote filesystems.

Package: peony-common
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: file manager for the UKUI desktop (common files)
 Peony is the official file manager for the UKUI desktop. It allows one
 to browse directories, preview files and launch applications associated
 with them. It is also responsible for handling the icons on the UKUI
 desktop. It works on local and remote filesystems.
 .
 This package contains the architecture independent files.

Package: libpeony-extension1
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: ${misc:Depends},
         ${shlibs:Depends},
Provides: libpeony-extension,
Description: libraries for Peony components
 Peony is the official file manager for the UKUI desktop. It allows one
 to browse directories, preview files and launch applications associated
 with them. It is also responsible for handling the icons on the UKUI
 desktop. It works on local and remote filesystems.
 .
 This package contains a few runtime libraries needed by Peony's
 extensions.

Package: libpeony-extension-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: gir1.2-peony-2.0 (= ${binary:Version}),
         libpeony-extension1 (= ${binary:Version}),
         libgtk-3-dev,
         ${misc:Depends},
         ${shlibs:Depends},
Breaks: gir1.2-peony (<< 1.0.0-0ubuntu3~)
Replaces: gir1.2-peony (<< 1.0.0-0ubuntu3~)
Description: libraries for Peony components (development files)
 Peony is the official file manager for the UKUI desktop. It allows one
 to browse directories, preview files and launch applications associated
 with them. It is also responsible for handling the icons on the UKUI
 desktop. It works on local and remote filesystems.
 .
 This package contains the development files for the libraries needed
 by Peony's extensions.

Package: libpeony-extension-doc
Section: doc
Architecture: all
Depends: ${misc:Depends},
Description: libraries for Peony components (API documentation files)
 Peony is the official file manager for the UKUI desktop. It allows one
 to browse directories, preview files and launch applications associated
 with them. It is also responsible for handling the icons on the UKUI
 desktop. It works on local and remote filesystems.
 .
 This package contains the API documentation for the libraries needed
 by Peony's extensions.

Package: gir1.2-peony-2.0
Section: introspection
Architecture: any
Multi-Arch: same
Depends: ${gir:Depends},
         ${misc:Depends},
         ${shlibs:Depends},
Description: GObject introspection data for Peony
 Peony is the official file manager for the UKUI desktop. It allows one
 to browse directories, preview files and launch applications associated
 with them. It is also responsible for handling the icons on the UKUI
 desktop. It works on local and remote filesystems.
 .
 This package contains introspection data for Peony.
 .
 It can be used by packages using the GIRepository format to generate
 dynamic bindings.

=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/peony-$1\.tar\.gz/ \
  https://github.com/ukui/peony/releases .*/v?(\d\S+)\.tar\.gz

## peony 1.0.3

=== debian/changelog ===
peony (1.0.3-1) unstable; urgency=medium

  * Initial release to Debian (Closes: #872965)

 -- Aron Xu <aron@debian.org>  Sat, 26 Aug 2017 15:46:53 +0800

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,11 @@
 Source: peony
 Section: utils
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Kylin Team <ukui@kylinos.cn>
-Uploaders: Xiaodong Liu <liuxiaodong@kylinos.cn>,
+Maintainer: Kylin Team <pkg-kylin-devel@lists.alioth.debian.org>
+Uploaders: Aron Xu <aron@debian.org>,
+           Xiaodong Liu <liuxiaodong@kylinos.cn>,
            Zuxun Yang <yangzuxun@kylinos.cn>,
-Build-Depends: debhelper (>= 9),
-               dpkg-dev (>= 1.16.1.1),
+Build-Depends: debhelper (>= 10),
                gobject-introspection,
                gtk-doc-tools,
                intltool,
@@ -26,7 +25,7 @@
                libxml2-dev,
                mate-common (>= 1.17),
                shared-mime-info,
-Standards-Version: 3.9.8
+Standards-Version: 4.0.0
 Homepage: http://www.ukui.org/
 
 Package: peony
@@ -49,7 +48,7 @@
 Replaces: peony-common (<< 1.0.0-0ubuntu2~)
 Description: file manager for the UKUI desktop
  Peony is the official file manager for the UKUI desktop. It allows one
- to browse directories, preview files and launch applications associated
+ to browse directories preview files and launch applications associated
  with them. It is also responsible for handling the icons on the UKUI
  desktop. It works on local and remote filesystems.
 
@@ -90,7 +89,6 @@
          libpeony-extension1 (= ${binary:Version}),
          libgtk-3-dev,
          ${misc:Depends},
-         ${shlibs:Depends},
 Breaks: gir1.2-peony (<< 1.0.0-0ubuntu3~)
 Replaces: gir1.2-peony (<< 1.0.0-0ubuntu3~)
 Description: libraries for Peony components (development files)
@@ -121,7 +119,6 @@
 Multi-Arch: same
 Depends: ${gir:Depends},
          ${misc:Depends},
-         ${shlibs:Depends},
 Description: GObject introspection data for Peony
  Peony is the official file manager for the UKUI desktop. It allows one
  to browse directories, preview files and launch applications associated

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

%:
	dh $@ --with gir --without autoreconf

override_dh_install:
	rm -fv debian/tmp/usr/lib/*/*.la
	rm -rfv debian/tmp/usr/share/omf/
	rm -rfv debian/tmp/usr/share/help/
	dh_install --fail-missing

override_dh_auto_configure:
	# upstream tarball is without configure. autogen.sh will create it
	NOCONFIGURE=1 ./autogen.sh
	dh_auto_configure $(DHFLAGS) -- \
		--disable-silent-rules \
		--libexecdir=/usr/lib/peony \
		--includedir=/usr/include/$(dpkg-architecture -qDEB_BUILD_MULTIARCH) \
		--disable-update-mimedb \
		--disable-static \
		--localstatedir=/var \
		--enable-introspection \
		--enable-gtk-doc

override_dh_auto_test:
	-dh_auto_test

get-orig-source:
	uscan --noconf --force-download --rename --download-current-version --destdir=..

## peony 1.1.1

=== debian/changelog ===
peony (1.1.1-0ubuntu2) bionic; urgency=medium

  * Don't recommend peony-gksu which is being removed (LP: #1764201)

 -- Jeremy Bicha <jbicha@debian.org>  Wed, 18 Apr 2018 08:34:17 -0400

peony (1.1.1-0ubuntu1) bionic; urgency=medium

  * debian/control:
    - Add peony-gksu, peony-image-converter, peony-open-terminal,
      peony-sendto, peony-share, peony-wallpaper, peony-xattr-tags,
      parchives to Recommends.
  * Delete compact view.
  * Add command to display file attributes.
  * Modify the sidebar and the computer interface.
  * Use PKG_PROG_PKG_CONFIG instead of AC_PATH_PROG.
  * Change the desktop icon size according to different resolution.
  * Improve the translation of 'delete' in right-click menu.
    (LP: #1755379)
  * Fix the two deleted issues in the recycle bin. (LP: #1758836)
  * Fix the bug that user cannot create launcher on the desktop.
    (LP: #1762104)

 -- handsome_feng <jianfengli@ubuntukylin.com>  Wed, 11 Apr 2018 09:24:38 +0800

peony (1.1.0-0ubuntu1) bionic; urgency=medium

  * Add tristate effect for the mouse.
  * Enhandced the ability to find duplicate files.
  * Add rename function when double-click.
  * Add the function of adjust the desktop icon size.
  * Add support for change the screen resolution.
  * Add support for send shortcuts to the desktop or start menu.
  * Adjust the location bar.

 -- handsome_feng <jianfengli@ubuntukylin.com>  Tue, 27 Feb 2018 15:37:38 +0800

peony (1.0.4-0ubuntu1) artful; urgency=medium

  * Modify the BUG of multiple icon views in the upper right corner of
    the My Computer interface. (LP: #1683767)

 -- handsome_feng <jianfengli@ubuntukylin.com>  Wed, 13 Sep 2017 10:30:40 +0800

peony (1.0.3-0ubuntu1) artful; urgency=medium

  * New upstream release.
  * Create freedesktop-dbus. (LP: #1686644)

 -- handsome_feng <jianfengli@ubuntukylin.com>  Mon, 26 Jun 2017 15:46:53 +0800

peony (1.0.2-0ubuntu1) zesty; urgency=medium

  * Update some po and desktop file.

 -- handsome_feng <jianfengli@ubuntukylin.com>  Tue, 11 Apr 2017 19:47:27 +0800

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,12 @@
 Source: peony
 Section: utils
 Priority: optional
-Maintainer: Kylin Team <pkg-kylin-devel@lists.alioth.debian.org>
-Uploaders: Aron Xu <aron@debian.org>,
-           Xiaodong Liu <liuxiaodong@kylinos.cn>,
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Kylin Team <ukui@kylinos.cn>
+Uploaders: Xiaodong Liu <liuxiaodong@kylinos.cn>,
            Zuxun Yang <yangzuxun@kylinos.cn>,
-Build-Depends: debhelper (>= 10),
+Build-Depends: debhelper (>= 11),
+               dpkg-dev (>= 1.16.1.1),
                gobject-introspection,
                gtk-doc-tools,
                intltool,
@@ -25,8 +26,10 @@
                libxml2-dev,
                mate-common (>= 1.17),
                shared-mime-info,
-Standards-Version: 4.0.0
+Standards-Version: 4.1.4
 Homepage: http://www.ukui.org/
+Vcs-Git: https://github.com/ukui/peony.git
+Vcs-Browser: https://github.com/ukui/peony
 
 Package: peony
 Architecture: any
@@ -41,6 +44,13 @@
          ${misc:Depends},
          ${shlibs:Depends},
 Recommends: gvfs-backends,
+            peony-image-converter,
+            peony-open-terminal,
+            peony-sendto,
+            peony-share,
+            peony-wallpaper,
+            peony-xattr-tags,
+            parchives,
 Suggests: engrampa,
           gstreamer1.0-tools,
           meld,
@@ -48,7 +58,7 @@
 Replaces: peony-common (<< 1.0.0-0ubuntu2~)
 Description: file manager for the UKUI desktop
  Peony is the official file manager for the UKUI desktop. It allows one
- to browse directories preview files and launch applications associated
+ to browse directories, preview files and launch applications associated
  with them. It is also responsible for handling the icons on the UKUI
  desktop. It works on local and remote filesystems.
 
@@ -89,6 +99,7 @@
          libpeony-extension1 (= ${binary:Version}),
          libgtk-3-dev,
          ${misc:Depends},
+         ${shlibs:Depends},
 Breaks: gir1.2-peony (<< 1.0.0-0ubuntu3~)
 Replaces: gir1.2-peony (<< 1.0.0-0ubuntu3~)
 Description: libraries for Peony components (development files)
@@ -119,6 +130,7 @@
 Multi-Arch: same
 Depends: ${gir:Depends},
          ${misc:Depends},
+         ${shlibs:Depends},
 Description: GObject introspection data for Peony
  Peony is the official file manager for the UKUI desktop. It allows one
  to browse directories, preview files and launch applications associated

=== debian/rules ===
--- 
+++ 
@@ -11,12 +11,15 @@
 	rm -fv debian/tmp/usr/lib/*/*.la
 	rm -rfv debian/tmp/usr/share/omf/
 	rm -rfv debian/tmp/usr/share/help/
-	dh_install --fail-missing
+	dh_install
+
+override_dh_missing:
+	dh_missing --fail-missing
 
 override_dh_auto_configure:
 	# upstream tarball is without configure. autogen.sh will create it
 	NOCONFIGURE=1 ./autogen.sh
-	dh_auto_configure $(DHFLAGS) -- \
+	dh_auto_configure -- \
 		--disable-silent-rules \
 		--libexecdir=/usr/lib/peony \
 		--includedir=/usr/include/$(dpkg-architecture -qDEB_BUILD_MULTIARCH) \
@@ -27,7 +30,4 @@
 		--enable-gtk-doc
 
 override_dh_auto_test:
-	-dh_auto_test
-
-get-orig-source:
-	uscan --noconf --force-download --rename --download-current-version --destdir=..
+	DEB_BUILD_OPTIONS=nocheck dh_auto_test

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/peony-$1\.tar\.gz/ \
  https://github.com/ukui/peony/releases .*/v?(\d\S+)\.tar\.gz

## peony 1.1.3

=== debian/changelog ===
peony (1.1.3-1) unstable; urgency=medium

  * Adjust the size of the black cd icon.

 -- handsome_feng <jianfengli@ubuntukylin.com>  Wed, 11 Jul 2018 11:39:58 +0800

peony (1.1.2-1) unstable; urgency=medium

  * Adjust the size of the blank cd icon in Desktop.
  * Change the default font of desktop font.

 -- handsome_feng <jianfengli@ubuntukylin.com>  Thu, 26 Apr 2018 09:36:07 +0800

peony (1.1.1-1) unstable; urgency=medium

  * Don't recommend peony-gksu which is being removed

 -- Jeremy Bicha <jbicha@debian.org>  Wed, 18 Apr 2018 08:34:17 -0400

peony (1.1.0-1) unstable; urgency=medium

  * Add tristate effect for the mouse.
  * Enhandced the ability to find duplicate files.
  * Add rename function when double-click.
  * Add the function of adjust the desktop icon size.
  * Add support for change the screen resolution.
  * Add support for send shortcuts to the desktop or start menu.
  * Adjust the location bar.

 -- handsome_feng <jianfengli@ubuntukylin.com>  Tue, 27 Feb 2018 15:37:38 +0800

peony (1.0.4-1) unstable; urgency=medium

  * Modify the BUG of multiple icon views in the upper right corner of
    the My Computer interface.

 -- handsome_feng <jianfengli@ubuntukylin.com>  Wed, 13 Sep 2017 10:30:40 +0800

peony (1.0.3-2) unstable; urgency=medium

  * Use tracker.d.o team address (Closes: #899634)

 -- Aron Xu <aron@debian.org>  Mon, 09 Jul 2018 14:31:26 +0800

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,9 @@
 Source: peony
 Section: utils
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Kylin Team <ukui@kylinos.cn>
-Uploaders: Xiaodong Liu <liuxiaodong@kylinos.cn>,
-           Zuxun Yang <yangzuxun@kylinos.cn>,
+Maintainer: Kylin Team <team+kylin@tracker.debian.org>
+Uploaders: Aron Xu <aron@debian.org>,
+           handsome_feng <jianfengli@ubuntukylin.com>
 Build-Depends: debhelper (>= 11),
                dpkg-dev (>= 1.16.1.1),
                gobject-introspection,
@@ -26,7 +25,7 @@
                libxml2-dev,
                mate-common (>= 1.17),
                shared-mime-info,
-Standards-Version: 4.1.4
+Standards-Version: 4.1.5
 Homepage: http://www.ukui.org/
 Vcs-Git: https://github.com/ukui/peony.git
 Vcs-Browser: https://github.com/ukui/peony

## peony 1.1.5

=== debian/changelog ===
peony (1.1.5-1) unstable; urgency=medium

  * Add the function of preview files.
  * Add format function.
  * Change the name style when copy files.
  * Simplify disk label description.
  * Update es.po, fr.po, pt.po, ru.po.

 -- handsome_feng <jianfengli@ubuntukylin.com>  Thu, 27 Dec 2018 20:43:29 +0800

peony (1.1.4-1) unstable; urgency=medium

  * New upstream release

 -- Aron Xu <aron@debian.org>  Mon, 22 Oct 2018 23:41:44 +0800

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Kylin Team <team+kylin@tracker.debian.org>
 Uploaders: Aron Xu <aron@debian.org>,
            handsome_feng <jianfengli@ubuntukylin.com>
-Build-Depends: debhelper (>= 11),
+Build-Depends: debhelper (>= 12),
                dpkg-dev (>= 1.16.1.1),
                gobject-introspection,
                gtk-doc-tools,
@@ -23,9 +23,14 @@
                libstartup-notification0-dev,
                libx11-dev,
                libxml2-dev,
+               libudisks2-dev,
+               libgtksourceview-3.0-dev,
+               libatrildocument-dev,
+               libatrilview-dev,
+               libwebkit2gtk-4.0-dev,
                mate-common (>= 1.17),
                shared-mime-info,
-Standards-Version: 4.1.5
+Standards-Version: 4.3.0
 Homepage: http://www.ukui.org/
 Vcs-Git: https://github.com/ukui/peony.git
 Vcs-Browser: https://github.com/ukui/peony
@@ -38,8 +43,13 @@
          gvfs,
          libpeony-extension1 (= ${binary:Version}),
          libglib2.0-data,
+         libudisks2-0,
+         libgtksourceview-3.0-1,
+         libatrildocument3,
+         libatrilview3,
          mate-desktop,
          shared-mime-info,
+         wmctrl,
          ${misc:Depends},
          ${shlibs:Depends},
 Recommends: gvfs-backends,

## peony 1.1.5.1

=== debian/changelog ===
peony (1.1.5.1-0ubuntu1) disco; urgency=medium

  * Bugfix-only:
    - Fix the bug that failed to restore a file from trash.
      (LP: #1820465)
    - Fix a lintian info.

 -- handsome_feng <jianfengli@ubuntukylin.com>  Mon, 08 Apr 2019 16:03:13 +0800

peony (1.1.5-1build1) disco; urgency=medium

  * No-change rebuild against latest exempi

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 10 Jan 2019 09:40:31 -0500

## peony 1.1.6

=== debian/changelog ===
peony (1.1.6-1) unstable; urgency=medium

  * Add file path to the address bar that can click.
  * Add drag directories to favorites and delete favorites directories
    function.
  * Add folder image and set location button size.
  * Add search entry delete function.
  * Modify sidebar, statusbar, locationbar style.
  * Display picture according to its own width and height.
  * Update zh_TW.po and zh_CN.po.
  * Fix trash restore files error.
  * Fix that computer, recent and trash is English in addressbar.
  * Fix the location bar error.
  * Reload window after desktop-is-home-dir changed. (LP: #1831857)
  * Fix the crash when using listview mode. (LP: #1827994)
  * debian/control:
    - Drop engrampa from suggests.
    - Fix symbols-file-missing-build-depends-package-field.
    - Bump Standards-Version to 4.4.0.

 -- handsome_feng <jianfengli@ubuntukylin.com>  Tue, 06 Aug 2019 14:51:41 +0800

=== debian/control ===
--- 
+++ 
@@ -30,7 +30,7 @@
                libwebkit2gtk-4.0-dev,
                mate-common (>= 1.17),
                shared-mime-info,
-Standards-Version: 4.3.0
+Standards-Version: 4.4.0
 Homepage: http://www.ukui.org/
 Vcs-Git: https://github.com/ukui/peony.git
 Vcs-Browser: https://github.com/ukui/peony
@@ -60,8 +60,7 @@
             peony-wallpaper,
             peony-xattr-tags,
             parchives,
-Suggests: engrampa,
-          gstreamer1.0-tools,
+Suggests: gstreamer1.0-tools,
           meld,
 Breaks: peony-common (<< 1.0.0-0ubuntu2~)
 Replaces: peony-common (<< 1.0.0-0ubuntu2~)

## peony 2.1.2

=== debian/changelog ===
peony (2.1.2-1build1) focal; urgency=medium

  * No-change rebuild against qtbase-abi-5-12-8.

 -- Rik Mills <rikmills@kde.org>  Fri, 10 Apr 2020 20:04:03 +0100

peony (2.1.2-1) unstable; urgency=medium

  * New upstream bugfix release.
    - Fix enter key as shortcut issues such as open selected file.
    - Fix that file in drag state not show file name.
    - Fix that file rename as empty and rename file change current sort.
    - Fix that desktop app link show incorrect icon.
    - Fix generate file thumbnail issue and ensure thread safety.
    - Fix that screen mirror not show view.
    - Fix file handle error.

 -- handsome_feng <jianfengli@ubuntukylin.com>  Mon, 06 Apr 2020 19:57:13 +0800

peony (2.1.1-1) unstable; urgency=medium

  * New upstream bugfix release.

 -- handsome_feng <jianfengli@ubuntukylin.com>  Mon, 30 Mar 2020 21:42:00 +0800

peony (2.1.0-1) unstable; urgency=medium

  * New upstream release.
    - Use custom header bar, and border rounded window.
    - Remove current advance search page, and relpace it with file label
      page.
    - Improve the thumbnail frameworks.
    - Improve the mouse right click interaction in desktop view.
    - Allow unrelated trash or delete file operation executed when a
      file operation is running.
    - Refactor the desktop window background displaying process.
  * debian/libpeony2.symbols:
    - update symbols file.

 -- handsome_feng <jianfengli@ubuntukylin.com>  Mon, 23 Mar 2020 17:56:24 +0800

peony (2.0.1-2) unstable; urgency=medium

  * debian/libpeony2.symbols:
    - fixed symbols for armel.

 -- handsome_feng <jianfengli@ubuntukylin.com>  Thu, 20 Feb 2020 11:00:36 +0800

peony (2.0.1-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    - Add build-depends pkg-kde-tools.
  * debian/rule:
    - using pkgkde_symbolshelper.
  * debian/libpeony2.symbols.
    - Using pkg-kde-tools update the symbols file. (Closes: #951607)

 -- handsome_feng <jianfengli@ubuntukylin.com>  Wed, 19 Feb 2020 14:15:38 +0800

peony (2.0.0-1) unstable; urgency=medium

  * New upstream release.
    - Refactor peony ui with Qt (from Gtk3).
  * debian/control:
    - Bump to compat 12.
    - Bump Standards-Version to 4.5.0.
    - Refresh the dependency.
    - Set Rules-requires-Root to no.
  * debian/copyright: Refreash the copyright entry.

 -- handsome_feng <jianfengli@ubuntukylin.com>  Tue, 04 Feb 2020 11:09:14 +0800

peony (1.1.7-1) unstable; urgency=medium

  * Fix that the outline of the file name label is incomplete.

 -- handsome_feng <jianfengli@ubuntukylin.com>  Wed, 16 Oct 2019 16:44:58 +0800

=== debian/control ===
Source: peony
Section: utils
Priority: optional
Maintainer: Kylin Team <team+kylin@tracker.debian.org>
Uploaders: Aron Xu <aron@debian.org>,
           handsome_feng <jianfengli@ubuntukylin.com>
Build-Depends: debhelper-compat (=12),
               pkg-kde-tools,
               pkg-config,
               qt5-qmake,
               qtbase5-dev,
               qtbase5-private-dev,
               qtchooser,
               qtbase5-dev-tools,
               qttools5-dev-tools,
               libglib2.0-dev,
               libqt5x11extras5-dev,
               libgsettings-qt-dev,
               libpoppler-dev,
               libpoppler-qt5-dev
Standards-Version: 4.5.0
Rules-Requires-Root: no
Homepage: https://www.ukui.org/
Vcs-Git: https://github.com/ukui/peony.git
Vcs-Browser: https://github.com/ukui/peony

Package: peony
Architecture: any
Multi-Arch: foreign
Depends: ${misc:Depends},
         ${shlibs:Depends},
         libpeony2 (= ${binary:Version}),
         peony-common (= ${source:Version})
Recommends: gvfs-backends,
            peony-open-terminal,
            peony-admin,
            peony-share,
            parchives
Description: file Manager for the UKUI desktop
 Peony is the official file manager for the UKUI desktop. It allows one
 to browse directories, preview files and launch applications associated
 with them. It is also responsible for handling the icons on the UKUI
 desktop. It works on local and remote filesystems.

Package: peony-common
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: file manager for the UKUI desktop (common files)
 Peony is the official file manager for the UKUI desktop. It allows one
 to browse directories, preview files and launch applications associated
 with them. It is also responsible for handling the icons on the UKUI
 desktop. It works on local and remote filesystems.
 .
 This package contains the architecture independent files.

Package: libpeony2
Section: libs
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends},
         ${shlibs:Depends},
         libglib2.0-0,
         libqt5widgets5,
         libpoppler-qt5-1
Provides: libpeony,
Recommends: gvfs-backends,
            qt5-gtk2-platformtheme,
            qt5-gtk-platformtheme
Description: libraries for Peony components
 Peony is the official file manager for the UKUI desktop. It allows one
 to browse directories, preview files and launch applications associated
 with them. It is also responsible for handling the icons on the UKUI
 desktop. It works on local and remote filesystems.
 .
 This package contains a few runtime libraries needed by Peony's
 extensions.

Package: libpeony-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         libpeony2 (= ${binary:Version})
Description: libraries for Peony components (development files)
 Peony is the official file manager for the UKUI desktop. It allows one
 to browse directories, preview files and launch applications associated
 with them. It is also responsible for handling the icons on the UKUI
 desktop. It works on local and remote filesystems.
 .
 This package contains the development files for the libraries needed
 by Peony's extensions.

=== debian/rules ===
#!/usr/bin/make -f
export QT_SELECT=5
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --with pkgkde_symbolshelper

override_dh_install:
	sh translations/update-translations.sh
	cp -a translations/libpeony-qt/*.qm debian/tmp/usr/share/libpeony-qt
	cp -a translations/peony-qt/*.qm debian/tmp/usr/share/peony-qt
	cp -a translations/peony-qt-desktop/*.qm debian/tmp/usr/share/peony-qt-desktop
	dh_install

## peony 3.0.5

=== debian/changelog ===
peony (3.0.5-1) unstable; urgency=medium

  * New upstream bugfix release.

 -- handsome_feng <jianfengli@ubuntukylin.com>  Sun, 27 Sep 2020 19:28:06 +0800

peony (3.0.4-1) unstable; urgency=medium

  * New upstream bugfix release.

 -- handsome_feng <jianfengli@ubuntukylin.com>  Sat, 26 Sep 2020 20:26:06 +0800

peony (3.0.3-1) unstable; urgency=medium

  * New upstream bugfix release.

 -- handsome_feng <jianfengli@ubuntukylin.com>  Mon, 07 Sep 2020 16:16:47 +0800

peony (3.0.2-2) unstable; urgency=medium

  * debian/control:
    - libpeony3: add breaks with libpeony2. (Closes: #968595)

 -- handsome_feng <jianfengli@ubuntukylin.com>  Tue, 18 Aug 2020 13:11:28 +0000

peony (3.0.2-1) unstable; urgency=medium

  * New upstream release.

 -- handsome_feng <jianfengli@ubuntukylin.com>  Wed, 12 Aug 2020 09:22:02 +0000

peony (3.0.1-1) unstable; urgency=medium

  * New upstream release. (Closes: #957676)
  * debian:
    - drop libgtk2.0-dev and qt5-gtk2-platformtheme.
    - update the install files.
    - libpeony2 -> libpeony3.
    - Update watch file.

 -- handsome_feng <jianfengli@ubuntukylin.com>  Sat, 08 Aug 2020 14:22:20 +0800

=== debian/control ===
--- 
+++ 
@@ -3,9 +3,9 @@
 Priority: optional
 Maintainer: Kylin Team <team+kylin@tracker.debian.org>
 Uploaders: Aron Xu <aron@debian.org>,
-           handsome_feng <jianfengli@ubuntukylin.com>
+           handsome_feng <jianfengli@ubuntukylin.com>,
+           Yue Lan <lanyue@ubuntukylin.com>
 Build-Depends: debhelper-compat (=12),
-               pkg-kde-tools,
                pkg-config,
                qt5-qmake,
                qtbase5-dev,
@@ -14,10 +14,13 @@
                qtbase5-dev-tools,
                qttools5-dev-tools,
                libglib2.0-dev,
+               libudisks2-dev,
+               libnotify-dev,
                libqt5x11extras5-dev,
                libgsettings-qt-dev,
                libpoppler-dev,
-               libpoppler-qt5-dev
+               libpoppler-qt5-dev,
+               libkf5windowsystem-dev
 Standards-Version: 4.5.0
 Rules-Requires-Root: no
 Homepage: https://www.ukui.org/
@@ -29,13 +32,10 @@
 Multi-Arch: foreign
 Depends: ${misc:Depends},
          ${shlibs:Depends},
-         libpeony2 (= ${binary:Version}),
-         peony-common (= ${source:Version})
+         libpeony3 (= ${binary:Version}),
+         peony-common (= ${source:Version}),
 Recommends: gvfs-backends,
-            peony-open-terminal,
-            peony-admin,
-            peony-share,
-            parchives
+            peony-extensions
 Description: file Manager for the UKUI desktop
  Peony is the official file manager for the UKUI desktop. It allows one
  to browse directories, preview files and launch applications associated
@@ -46,6 +46,8 @@
 Architecture: all
 Multi-Arch: foreign
 Depends: ${misc:Depends},
+Breaks: peony (<< 2.2.0-1)
+Replaces: peony (<< 2.2.0-1)
 Description: file manager for the UKUI desktop (common files)
  Peony is the official file manager for the UKUI desktop. It allows one
  to browse directories, preview files and launch applications associated
@@ -54,18 +56,18 @@
  .
  This package contains the architecture independent files.
 
-Package: libpeony2
+Package: libpeony3
 Section: libs
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends},
          ${shlibs:Depends},
-         libglib2.0-0,
-         libqt5widgets5,
-         libpoppler-qt5-1
 Provides: libpeony,
+Breaks: peony (<< 2.2.0-1),
+        libpeony2
+Replaces: peony (<< 2.2.0-1),
+          libpeony2
 Recommends: gvfs-backends,
-            qt5-gtk2-platformtheme,
             qt5-gtk-platformtheme
 Description: libraries for Peony components
  Peony is the official file manager for the UKUI desktop. It allows one
@@ -81,7 +83,7 @@
 Architecture: any
 Depends: ${misc:Depends},
          ${shlibs:Depends},
-         libpeony2 (= ${binary:Version})
+         libpeony3 (= ${binary:Version})
 Description: libraries for Peony components (development files)
  Peony is the official file manager for the UKUI desktop. It allows one
  to browse directories, preview files and launch applications associated

## peony 3.0.6

=== debian/changelog ===
peony (3.0.6-1) unstable; urgency=medium

  * New upstream release.

 -- handsome_feng <jianfengli@ubuntukylin.com>  Sat, 28 Nov 2020 15:53:31 +0800

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,7 @@
 Priority: optional
 Maintainer: Kylin Team <team+kylin@tracker.debian.org>
 Uploaders: Aron Xu <aron@debian.org>,
-           handsome_feng <jianfengli@ubuntukylin.com>,
-           Yue Lan <lanyue@ubuntukylin.com>
+           handsome_feng <jianfengli@ubuntukylin.com>
 Build-Depends: debhelper-compat (=12),
                pkg-config,
                qt5-qmake,
@@ -20,7 +19,8 @@
                libgsettings-qt-dev,
                libpoppler-dev,
                libpoppler-qt5-dev,
-               libkf5windowsystem-dev
+               libkf5windowsystem-dev,
+               libcanberra-dev
 Standards-Version: 4.5.0
 Rules-Requires-Root: no
 Homepage: https://www.ukui.org/
@@ -62,6 +62,7 @@
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends},
          ${shlibs:Depends},
+         gvfs
 Provides: libpeony,
 Breaks: peony (<< 2.2.0-1),
         libpeony2

## peony 3.2.3

=== debian/changelog ===
peony (3.2.3-1) unstable; urgency=medium

  * New upstream release.

 -- handsome_feng <jianfengli@ubuntukylin.com>  Tue, 17 Aug 2021 19:35:54 +0800

=== debian/control ===
--- 
+++ 
@@ -20,7 +20,8 @@
                libpoppler-dev,
                libpoppler-qt5-dev,
                libkf5windowsystem-dev,
-               libcanberra-dev
+               libcanberra-dev,
+               libkf5wayland-dev
 Standards-Version: 4.5.0
 Rules-Requires-Root: no
 Homepage: https://www.ukui.org/
@@ -62,6 +63,7 @@
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends},
          ${shlibs:Depends},
+         dvd+rw-tools,
          gvfs
 Provides: libpeony,
 Breaks: peony (<< 2.2.0-1),

## peony 3.2.4

=== debian/changelog ===
peony (3.2.4-2) unstable; urgency=medium

  * Add the missing depends libglib2.0-bin.

 -- handsome_feng <jianfengli@ubuntukylin.com>  Wed, 16 Mar 2022 14:14:38 +0800

peony (3.2.4-1) unstable; urgency=medium

  * New upstream release.

 -- handsome_feng <jianfengli@ubuntukylin.com>  Tue, 22 Feb 2022 16:11:28 +0800

=== debian/control ===
--- 
+++ 
@@ -7,8 +7,8 @@
 Build-Depends: debhelper-compat (=12),
                pkg-config,
                qt5-qmake,
+               libssl-dev,
                qtbase5-dev,
-               qtbase5-private-dev,
                qtchooser,
                qtbase5-dev-tools,
                qttools5-dev-tools,
@@ -21,7 +21,10 @@
                libpoppler-qt5-dev,
                libkf5windowsystem-dev,
                libcanberra-dev,
-               libkf5wayland-dev
+               libukui-log4qt-dev,
+               libkf5wayland-dev,
+               libwayland-dev,
+               libx11-xcb-dev
 Standards-Version: 4.5.0
 Rules-Requires-Root: no
 Homepage: https://www.ukui.org/
@@ -33,6 +36,7 @@
 Multi-Arch: foreign
 Depends: ${misc:Depends},
          ${shlibs:Depends},
+         libglib2.0-bin,
          libpeony3 (= ${binary:Version}),
          peony-common (= ${source:Version}),
 Recommends: gvfs-backends,
@@ -85,7 +89,12 @@
 Section: libdevel
 Architecture: any
 Depends: ${misc:Depends},
-         ${shlibs:Depends},
+         qtbase5-dev,
+         libglib2.0-dev,
+         libgsettings-qt-dev,
+         libpoppler-qt5-dev,
+         libnotify-dev,
+         libcanberra-dev,
          libpeony3 (= ${binary:Version})
 Description: libraries for Peony components (development files)
  Peony is the official file manager for the UKUI desktop. It allows one

=== debian/rules ===
#!/usr/bin/make -f
export QT_SELECT=5
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

=== debian/watch ===
version=4
https://github.com/ukui/peony/releases .*/peony_(\d\S+)\.orig\.tar\.gz

## peony 4.0.0.1

=== debian/changelog ===
peony (4.0.0.1-1) unstable; urgency=medium

  * Disable the auto partition mount to fix UbuntuKylin install error.

 -- handsome_feng <jianfengli@ubuntukylin.com>  Wed, 10 Apr 2024 18:43:49 +0800

peony (4.0.0.0-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1063217

 -- Benjamin Drung <bdrung@debian.org>  Thu, 29 Feb 2024 20:19:01 +0000

peony (4.0.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- handsome_feng <jianfengli@ubuntukylin.com>  Tue, 23 Jan 2024 10:42:22 +0800

=== debian/control ===
Source: peony
Section: utils
Priority: optional
Maintainer: Kylin Team <team+kylin@tracker.debian.org>
Uploaders: Aron Xu <aron@debian.org>,
           handsome_feng <jianfengli@ubuntukylin.com>,
           xibowen <xibowen@kylinos.cn>
Build-Depends: debhelper-compat (=13),
               dpkg-dev (>= 1.22.5),
               libbamf3-dev,
               libcanberra-dev,
               libdconf-dev,
               libglib2.0-dev,
               libgsettings-qt-dev,
               libkf5screen-dev,
               libkf5wayland-dev,
               libkf5windowsystem-dev,
               libkysdk-applications-dev,
               libnotify-dev,
               libpoppler-dev,
               libpoppler-qt5-dev,
               libqt5svg5-dev,
               libqt5x11extras5-dev,
               libssl-dev,
               libudisks2-dev,
               libukui-common-dev,
               libukui-log4qt-dev,
               libwayland-dev,
               libx11-xcb-dev,
               libxrandr-dev,
               libxtst-dev,
               pkgconf,
               qt5-qmake,
               qtbase5-dev,
               qtbase5-dev-tools,
               qtchooser,
               qtdeclarative5-dev,
               qttools5-dev-tools
Standards-Version: 4.6.1.0
Rules-Requires-Root: no
Homepage: https://gitee.com/openkylin/peony
Vcs-Git: https://gitee.com/openkylin/peony.git
Vcs-Browser: https://gitee.com/openkylin/peony

Package: peony
Architecture: any
Multi-Arch: foreign
Depends: libpeony3t64 (= ${binary:Version}),
         peony-common (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: gvfs-backends, peony-extensions(>=3.2.2+1015)
Description: file Manager for the UKUI desktop
 Peony is the official file manager for the UKUI desktop. It allows one
 to browse directories, preview files and launch applications associated
 with them. It is also responsible for handling the icons on the UKUI
 desktop. It works on local and remote filesystems.

Package: peony-common
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Breaks: peony (<< 2.2.0-1)
Replaces: peony (<< 2.2.0-1)
Description: file manager for the UKUI desktop (common files)
 Peony is the official file manager for the UKUI desktop. It allows one
 to browse directories, preview files and launch applications associated
 with them. It is also responsible for handling the icons on the UKUI
 desktop. It works on local and remote filesystems.
 .
 This package contains the architecture independent files.

Package: libpeony3t64
Section: libs
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: dvd+rw-tools,
         gvfs,
         gvfs-backends,
         gvfs-fuse,
         ${misc:Depends},
         ${shlibs:Depends}
Provides: libpeony, ${t64:Provides}
Breaks: libpeony2, libpeony3 (<< ${source:Version}), peony (<< 2.2.0-1)
Replaces: libpeony2, libpeony3, peony (<< 2.2.0-1)
Description: libraries for Peony components
 Peony is the official file manager for the UKUI desktop. It allows one
 to browse directories, preview files and launch applications associated
 with them. It is also responsible for handling the icons on the UKUI
 desktop. It works on local and remote filesystems.
 .
 This package contains a few runtime libraries needed by Peony's
 extensions.

Package: libpeony-dev
Section: libdevel
Architecture: any
Depends: libcanberra-dev,
         libdconf-dev,
         libglib2.0-dev,
         libgsettings-qt-dev,
         libnotify-dev,
         libpeony3t64 (= ${binary:Version}),
         libpoppler-qt5-dev,
         libudisks2-dev,
         qtbase5-dev,
         ${misc:Depends}
Description: libraries for Peony components (development files)
 Peony is the official file manager for the UKUI desktop. It allows one
 to browse directories, preview files and launch applications associated
 with them. It is also responsible for handling the icons on the UKUI
 desktop. It works on local and remote filesystems.
 .
 This package contains the development files for the libraries needed
 by Peony's extensions.

## peony 4.0.0.2

=== debian/changelog ===
peony (4.0.0.2-1) unstable; urgency=medium

  * Bugfix only:
    - Use QScreen instead of KScreen to prevent FTBFS (Closes: #1079810)
      and resolve incorrect display positioning (LP: #2103673)
    - debian/control: drop libkf5screen-dev.

 -- handsome_feng <jianfengli@ubuntukylin.com>  Thu, 20 Mar 2025 11:44:47 +0800

=== debian/control ===
--- 
+++ 
@@ -5,14 +5,12 @@
 Uploaders: Aron Xu <aron@debian.org>,
            handsome_feng <jianfengli@ubuntukylin.com>,
            xibowen <xibowen@kylinos.cn>
-Build-Depends: debhelper-compat (=13),
-               dpkg-dev (>= 1.22.5),
+Build-Depends: dpkg-dev (>= 1.22.5), debhelper-compat (=13),
                libbamf3-dev,
                libcanberra-dev,
                libdconf-dev,
                libglib2.0-dev,
                libgsettings-qt-dev,
-               libkf5screen-dev,
                libkf5wayland-dev,
                libkf5windowsystem-dev,
                libkysdk-applications-dev,
@@ -80,9 +78,9 @@
          gvfs-fuse,
          ${misc:Depends},
          ${shlibs:Depends}
-Provides: libpeony, ${t64:Provides}
-Breaks: libpeony2, libpeony3 (<< ${source:Version}), peony (<< 2.2.0-1)
-Replaces: libpeony2, libpeony3, peony (<< 2.2.0-1)
+Provides: ${t64:Provides}, libpeony
+Breaks: libpeony3 (<< ${source:Version}), libpeony2, peony (<< 2.2.0-1)
+Replaces: libpeony3, libpeony2, peony (<< 2.2.0-1)
 Description: libraries for Peony components
  Peony is the official file manager for the UKUI desktop. It allows one
  to browse directories, preview files and launch applications associated
